<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="BDD [2]">
  <database-model serializer="dbm" dbms="SQLITE" family-id="SQLITE" format-version="4.19">
    <root id="1">
      <ServerVersion>3.31.1</ServerVersion>
    </root>
    <schema id="2" parent="1" name="main">
      <Current>1</Current>
    </schema>
    <collation id="3" parent="1" name="BINARY"/>
    <collation id="4" parent="1" name="NOCASE"/>
    <collation id="5" parent="1" name="RTRIM"/>
    <table id="6" parent="2" name="A-écrit"/>
    <table id="7" parent="2" name="Auteur"/>
    <table id="8" parent="2" name="Catégorie"/>
    <table id="9" parent="2" name="Edition"/>
    <table id="10" parent="2" name="Est-dans-liste"/>
    <table id="11" parent="2" name="Eut-emprunté"/>
    <table id="12" parent="2" name="Livre"/>
    <table id="13" parent="2" name="Oeuvre"/>
    <table id="14" parent="2" name="Utilisateur"/>
    <table id="15" parent="2" name="sqlite_master">
      <System>1</System>
    </table>
    <table id="16" parent="2" name="sqlite_sequence">
      <System>1</System>
    </table>
    <column id="17" parent="6" name="IdOeuvre">
      <Position>1</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="18" parent="6" name="IdAut">
      <Position>2</Position>
      <DataType>INT|0s</DataType>
    </column>
    <foreign-key id="19" parent="6">
      <ColNames>IdOeuvre</ColNames>
      <RefTableName>Oeuvre</RefTableName>
      <RefColNames>IdOeuvre</RefColNames>
    </foreign-key>
    <foreign-key id="20" parent="6">
      <ColNames>IdAut</ColNames>
      <RefTableName>Auteur</RefTableName>
      <RefColNames>IdAut</RefColNames>
    </foreign-key>
    <column id="21" parent="7" name="IdAut">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <SequenceIdentity>null</SequenceIdentity>
    </column>
    <column id="22" parent="7" name="Nom">
      <Position>2</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="23" parent="7" name="Prénom">
      <Position>3</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="24" parent="7" name="Naissance">
      <Position>4</Position>
      <DataType>DATE|0s</DataType>
    </column>
    <key id="25" parent="7">
      <ColNames>IdAut</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="26" parent="8" name="Nomcat">
      <Position>1</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="27" parent="8" name="Nombreemprunt">
      <Position>2</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="28" parent="8" name="Duréemax">
      <Position>3</Position>
      <DataType>INT|0s</DataType>
    </column>
    <index id="29" parent="8" name="sqlite_autoindex_Catégorie_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>Nomcat</ColNames>
      <ColumnCollations></ColumnCollations>
      <Unique>1</Unique>
    </index>
    <key id="30" parent="8">
      <ColNames>Nomcat</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_Catégorie_1</UnderlyingIndexName>
    </key>
    <column id="31" parent="9" name="ISBN">
      <Position>1</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="32" parent="9" name="IdOeuvre">
      <Position>2</Position>
      <DataType>INT|0s</DataType>
    </column>
    <index id="33" parent="9" name="sqlite_autoindex_Edition_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>ISBN</ColNames>
      <ColumnCollations></ColumnCollations>
      <Unique>1</Unique>
    </index>
    <key id="34" parent="9">
      <ColNames>ISBN</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_Edition_1</UnderlyingIndexName>
    </key>
    <foreign-key id="35" parent="9">
      <ColNames>IdOeuvre</ColNames>
      <RefTableName>Oeuvre</RefTableName>
      <RefColNames>IdOeuvre</RefColNames>
    </foreign-key>
    <column id="36" parent="10" name="IdUtilisateur">
      <Position>1</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="37" parent="10" name="Date-début">
      <Position>2</Position>
      <DataType>DATE|0s</DataType>
    </column>
    <column id="38" parent="10" name="Date-fin">
      <Position>3</Position>
      <DataType>DATE|0s</DataType>
    </column>
    <foreign-key id="39" parent="10">
      <ColNames>IdUtilisateur</ColNames>
      <RefTableName>Utilisateur</RefTableName>
      <RefColNames>IdUtilisateur</RefColNames>
    </foreign-key>
    <column id="40" parent="11" name="ISBN">
      <Position>1</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="41" parent="11" name="IdUtilisateur">
      <Position>2</Position>
      <DataType>INT|0s</DataType>
    </column>
    <column id="42" parent="11" name="Date">
      <Position>3</Position>
      <DataType>DATE|0s</DataType>
    </column>
    <foreign-key id="43" parent="11">
      <ColNames>ISBN</ColNames>
      <RefTableName>Edition</RefTableName>
      <RefColNames>ISBN</RefColNames>
    </foreign-key>
    <foreign-key id="44" parent="11">
      <ColNames>IdUtilisateur</ColNames>
      <RefTableName>Utilisateur</RefTableName>
      <RefColNames>IdUtilisateur</RefColNames>
    </foreign-key>
    <column id="45" parent="12" name="Idlivre">
      <Position>1</Position>
      <DataType>INT|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="46" parent="12" name="ISBN">
      <Position>2</Position>
      <DataType>INT|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="47" parent="12" name="IdUtilisateur">
      <Position>3</Position>
      <DataType>INT|0s</DataType>
      <DefaultExpression>NULL</DefaultExpression>
    </column>
    <column id="48" parent="12" name="dated">
      <Position>4</Position>
      <DataType>DATE|0s</DataType>
      <DefaultExpression>NULL</DefaultExpression>
    </column>
    <column id="49" parent="12" name="datef">
      <Position>5</Position>
      <DataType>DATE|0s</DataType>
      <DefaultExpression>NULL</DefaultExpression>
    </column>
    <index id="50" parent="12" name="sqlite_autoindex_Livre_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>Idlivre</ColNames>
      <ColumnCollations></ColumnCollations>
      <Unique>1</Unique>
    </index>
    <key id="51" parent="12">
      <ColNames>Idlivre</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_Livre_1</UnderlyingIndexName>
    </key>
    <foreign-key id="52" parent="12">
      <ColNames>ISBN</ColNames>
      <RefTableName>Edition</RefTableName>
      <RefColNames>ISBN</RefColNames>
    </foreign-key>
    <foreign-key id="53" parent="12">
      <ColNames>IdUtilisateur</ColNames>
      <RefTableName>Utilisateur</RefTableName>
      <RefColNames>IdUtilisateur</RefColNames>
    </foreign-key>
    <column id="54" parent="13" name="IdOeuvre">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <SequenceIdentity>null</SequenceIdentity>
    </column>
    <column id="55" parent="13" name="Titre">
      <Position>2</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="56" parent="13" name="Année">
      <Position>3</Position>
      <DataType>DATE|0s</DataType>
    </column>
    <key id="57" parent="13">
      <ColNames>IdOeuvre</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="58" parent="14" name="IdUtilisateur">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <SequenceIdentity>null</SequenceIdentity>
    </column>
    <column id="59" parent="14" name="Nom">
      <Position>2</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="60" parent="14" name="Prénom">
      <Position>3</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="61" parent="14" name="email">
      <Position>4</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="62" parent="14" name="Nomcat">
      <Position>5</Position>
      <DataType>STRING|0s</DataType>
    </column>
    <column id="63" parent="14" name="mdp">
      <Position>6</Position>
      <DataType>String|0s</DataType>
    </column>
    <key id="64" parent="14">
      <ColNames>IdUtilisateur</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="65" parent="14">
      <ColNames>Nomcat</ColNames>
      <RefTableName>Catégorie</RefTableName>
      <RefColNames>Nomcat</RefColNames>
    </foreign-key>
    <column id="66" parent="15" name="type">
      <Position>1</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="67" parent="15" name="name">
      <Position>2</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="68" parent="15" name="tbl_name">
      <Position>3</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="69" parent="15" name="rootpage">
      <Position>4</Position>
      <DataType>int|0s</DataType>
    </column>
    <column id="70" parent="15" name="sql">
      <Position>5</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="71" parent="16" name="name">
      <Position>1</Position>
    </column>
    <column id="72" parent="16" name="seq">
      <Position>2</Position>
    </column>
  </database-model>
</dataSource>